Package org.apache.cayenne.dba.sqlserver

## Class SQLServerSelectTranslator

- java.lang.Object
- - org.apache.cayenne.access.translator.select.QueryAssembler
  - - org.apache.cayenne.access.translator.select.DefaultSelectTranslator
    - - org.apache.cayenne.dba.sqlserver.SQLServerSelectTranslator

- All Implemented Interfaces:
    `SelectTranslator`

      public class SQLServerSelectTranslator
      extends DefaultSelectTranslator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cayenne.access.translator.select.QueryAssembler

      `QueryAssembler.AddBindingListener`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.translator.select.DefaultSelectTranslator

      `UNSUPPORTED_DISTINCT_TYPES`

    - ### Fields inherited from class org.apache.cayenne.access.translator.select.QueryAssembler

      `adapter, addBindingListener, bindings, entityResolver, query, queryMetadata, sql, translated`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SQLServerSelectTranslator​(Query query, DbAdapter adapter, EntityResolver entityResolver)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `appendLimitAndOffsetClauses​(StringBuilder buffer)` | Handles appending optional limit and offset clauses.

    - ### Methods inherited from class org.apache.cayenne.access.translator.select.DefaultSelectTranslator

      `appendGroupByColumn, appendGroupByColumns, appendSelectColumns, buildDistinctStatement, buildResultColumns, createJoinStack, dbRelationshipAdded, doTranslate, getAliasForExpression, getAttributeOverrides, getCurrentAlias, getJoinStack, getResultColumns, hasJoins, isSuppressingDistinct, isUnsupportedForDistinct, resetJoinStack, supportsTableAliases`

    - ### Methods inherited from class org.apache.cayenne.access.translator.select.QueryAssembler

      `addToParamList, ensureTranslated, getAdapter, getBindings, getEntityResolver, getPathAliases, getQuery, getQueryMetadata, getSql, setAddBindingListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cayenne.access.translator.select.SelectTranslator

      `getBindings, getSql`

- - ### Constructor Detail

    - #### SQLServerSelectTranslator

          public SQLServerSelectTranslator​(Query query,
                                           DbAdapter adapter,
                                           EntityResolver entityResolver)

      Since:
        4.0

  - ### Method Detail

    - #### appendLimitAndOffsetClauses

          protected void appendLimitAndOffsetClauses​(StringBuilder buffer)

      Description copied from class: `DefaultSelectTranslator`
      Handles appending optional limit and offset clauses. This implementation does nothing, deferring to subclasses to define the LIMIT/OFFSET clause syntax.
      Overrides:
        `appendLimitAndOffsetClauses` in class `DefaultSelectTranslator`